osmo_ss7_routing_key Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

uint32_t | context
uint32_t | l_rk_id
uint32_t | pc
uint8_t | si
uint32_t | ssn

## Field Documentation

## context

uint32_t osmo_ss7_routing_key::context

Referenced by _rout_key(), DEFUN(), handle_reg_conf(), handle_rkey_dereg_resp(), handle_rkey_reg(), handle_rkey_reg_resp(), lm_rkm_reg(), m3ua_tx_xua_as(), osmo_ss7_as_find_by_rctx(), sua_tx_xua_as(), write_one_as(), xua_msg_add_asp_rctx(), and xua_rkm_send_reg_req().

## l_rk_id

uint32_t osmo_ss7_routing_key::l_rk_id

Referenced by handle_rkey_reg_resp(), lm_rkm_reg(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_or_create(), and xua_rkm_send_reg_req().

## pc

uint32_t osmo_ss7_routing_key::pc

Referenced by _rout_key(), DEFUN(), handle_rkey_dereg(), handle_rkey_reg(), ipa_asp_fsm_del_route(), ipa_asp_fsm_wait_id_ack2(), ipa_rx_msg_sccp(), osmo_sccp_simple_client_on_ss7_id(), write_one_as(), and xua_rkm_send_reg_req().

## si

uint8_t osmo_ss7_routing_key::si

Referenced by _rout_key(), and write_one_as().

## ssn

uint32_t osmo_ss7_routing_key::ssn

Referenced by _rout_key(), and write_one_as().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h